<?php
// Options Page

	if ( ! function_exists( 'popupshop' ) ) :

		function popupshop( $name ) {
			$default_theme_options = array(
				'colorhd' => '#ffffff',
				'colorhdfont' => '#333333',
				'colorhdfonthover' => '#888888',
				'color1' => '#2199e8',
				'color2' => '#e91e63',
				'colorfontbuttons' => '#FFFFFF',
				'copyright' =>  '<a href="'.home_url().'">'.get_bloginfo( 'name' ).'</a>',
				'herofeaturedimage' => '',
				'headerimageshop' => '',
				);
		
			$options = wp_parse_args( get_option( 'popupshop' ), $default_theme_options );

			return $options[$name];
		}
	endif;

add_action( 'customize_register', 'popupshop_customize_register' );
function popupshop_customize_register( $wp_customize ) {

	$wp_customize->add_section( 'popupshop_info', array(
		'title' => __( 'Documentation', 'popupshop' ),
		'priority' => 0,
	) );


	$wp_customize->add_setting( 'popupshop[info]', array(
		'default' => popupshop_themeoptions( 'info' ),
		'sanitize_callback' => 'popupshop_sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'info', array(
		
		'description' => wp_kses_post(__( '
        <h3>Demo</h3>
        <p>To see what is possible, take a look at the <a target="_blank" href="https://richwp.r1e9.com/popupshop/" target="_blank">Theme Demo</a></p>
        <h3>Documentation</h3>
        <p>For further information about the installation and setup of this theme and to download the demo content file please visit the <a target="_blank" href="https://richwp.com/manuals/pop-up-shop-theme-installation-manual/" target="_blank">Installation & Setup Guide</a></p>
        ', 'popupshop' ) ),
		'section' => 'popupshop_info',
		'settings' => 'popupshop[info]',
		'type' => 'hidden',
		'priority' => 40,
	) );
		
	$wp_customize->add_section( 'popupshop_colors', array(
		'title' => __( 'Colors', 'popupshop' ),
		'priority' => 100,
	) );
	
	$wp_customize->add_setting( 'popupshop[colorhd]', array(
		'default' => popupshop( 'colorhd' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhd', array(
		'label'   => __( 'Header Color', 'popupshop' ),
		'section' => 'popupshop_colors',
		'settings'   => 'popupshop[colorhd]',
		'priority' => 5,
	) ) );
	
	$wp_customize->add_setting( 'popupshop[colorhdfont]', array(
		'default' => popupshop( 'colorhdfont' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfont', array(
		'label'   => __( 'Header Font Color', 'popupshop' ),
		'section' => 'popupshop_colors',
		'settings'   => 'popupshop[colorhdfont]',
		'priority' => 10,
	) ) );

	$wp_customize->add_setting( 'popupshop[colorhdfonthover]', array(
		'default' => popupshop( 'colorhdfonthover' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorhdfonthover', array(
		'label'   => __( 'Header Font Hover Color', 'popupshop' ),
		'section' => 'popupshop_colors',
		'settings'   => 'popupshop[colorhdfonthover]',
		'priority' => 10,
	) ) );

	$wp_customize->add_setting( 'popupshop[color1]', array(
		'default' => popupshop( 'color1' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color1', array(
		'label'   => __( 'Lead Color', 'popupshop' ),
		'section' => 'popupshop_colors',
		'settings'   => 'popupshop[color1]',
		'priority' => 20,
	) ) );
	
	$wp_customize->add_setting( 'popupshop[color2]', array(
		'default' => popupshop( 'color2' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'color2', array(
		'label'   => __( '2. Lead Color', 'popupshop' ),
		'section' => 'popupshop_colors',
		'settings'   => 'popupshop[color2]',
		'priority' => 30,
	) ) );
	
	$wp_customize->add_setting( 'popupshop[colorfontbuttons]', array(
		'default' => popupshop( 'colorfontbuttons' ),
		'sanitize_callback' => 'sanitize_hex_color',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
		
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'colorfontbuttons', array(
		'label'   => __( 'Button Font Color', 'popupshop' ),
		'section' => 'popupshop_colors',
		'settings'   => 'popupshop[colorfontbuttons]',
		'priority' => 40,
	) ) );

	$wp_customize->add_setting( 'popupshop[herofeaturedimage]', array(
		'default' => popupshop( 'herofeaturedimage' ),
		'sanitize_callback' => 'sanitize_checkbox',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );
	
	$wp_customize->add_control( 'popupshop[herofeaturedimage]', array(
		'settings' => 'popupshop[herofeaturedimage]',
		'label'    => __( 'Featured Image as Hero Image on Single Post View', 'popupshop' ),
		'section'  => 'header_image',
		'type'     => 'checkbox',
		'priority' => 70,
	) );

	$wp_customize->add_setting( 'popupshop[headerimageshop]', array(
		'default' => popupshop( 'headerimageshop' ),
		'sanitize_callback' => 'esc_url_raw',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'headerimageshop', array(
		'label'   => __( 'WooCommerce Product Archive Hero Image', 'popupshop' ),
		'section' => 'header_image',
		'settings'   => 'popupshop[headerimageshop]',
		'priority' => 80,
	) ) );

    $wp_customize->add_section( 'popupshop_misc', array(
		'title' => __( 'Misc.', 'popupshop' ),
		'priority' => 120,
	) );
	
	$wp_customize->add_setting( 'popupshop[copyright]', array(
		'default' => popupshop( 'copyright' ),
		'sanitize_callback' => 'sanitize_text_html',
		'type' => 'option',
		'capability' => 'edit_theme_options',
	) );

	$wp_customize->add_control( 'copyright', array(
		'label' => __( 'Copyright Notice in Footer', 'popupshop' ),
		'section' => 'popupshop_misc',
		'settings' => 'popupshop[copyright]',
		'priority' => 30,
	) );
	
} 

function sanitize_text_html( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

function sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

/* Add CSS */
function add_styles() {
  if ( ! function_exists( 'get_richicon_font' ) ) {
    $richicon_font = array(
        'base' => get_template_directory_uri()."/font/richicons",
        'version' => '13409116');
  } else {
    $richicon_font = get_richicon_font();
  }
 ?>
<style type="text/css">
@font-face {
  font-family: 'richicons';
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']; ?>');
  src: url('<?php echo $richicon_font['base'].".eot?".$richicon_font['version']."#iefix"; ?>') format('embedded-opentype'),
    url('<?php echo $richicon_font['base'].".woff?".$richicon_font['version']; ?>') format('woff'),
    url('<?php echo $richicon_font['base'].".ttf?".$richicon_font['version']; ?>') format('truetype'),
    url('<?php echo $richicon_font['base'].".svg?".$richicon_font['version']."#richicons"; ?>') format('svg');
    font-weight: normal;
    font-style: normal;
  }

#top-menu,
.title-bar,
ul.submenu {
	background-color:<?php echo popupshop('colorhd');?>;
}

.top-bar, 
.title-bar, 
#searchwrap {
	<?php 
		if (popupshop('colorhd') == "#ffffff") {
			echo 'border-bottom: 1px solid #f9f9f9;';
		} else { 
			echo 'border:none;'; }; ?>
}

<?php if (popupshop('colorhd') == "#ffffff") { ?>.is-dropdown-submenu{border:none;} .is-dropdown-submenu a{background:#f9f9f9;} .menushop a{color:<?php echo popupshop('colorhdfont');?>; } .menushop .current-menu-item a, .menushop a:hover{color:<?php echo popupshop('colorhdfonthover');?>; } .menushopwrap .menushop .is-dropdown-submenu a:hover {background:#f9f9f9; color:<?php echo popupshop('colorhdfonthover');?>;} <?php } ?>

.title-bar,
a #sitetitle,
.top-bar a,
#iconmenu li:before,
.menushop .is-dropdown-submenu a ,
.menushop .is-dropdown-submenu a:hover{
	color:<?php echo popupshop('colorhdfont');?>;
}
.top-bar-left .dropdown.menu > li.is-dropdown-submenu-parent.opens-right > a:after,
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after,
.top-bar-left .is-accordion-submenu-parent a::after{
  border-color: <?php echo popupshop('colorhdfont');?> transparent transparent;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a::after {
	border-color: transparent transparent transparent <?php echo popupshop('colorhdfont');?>;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a::after {
	border-color: transparent <?php echo popupshop('colorhdfont');?> transparent;
}
.top-bar a:hover,
.top-bar .current-menu-item a,
.dropdown.menu > li.is-dropdown-submenu-parent > a:hover:after,
#iconmenu li:hover:before{
	color:<?php echo popupshop('colorhdfonthover');?>;
}
.top-bar-left .dropdown.menu > li.is-dropdown-submenu-parent.opens-right > a:hover:after,
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a:hover:after,
.top-bar-left .is-accordion-submenu-parent a:hover:after{
  border-color: <?php echo popupshop('colorhdfonthover');?> transparent transparent;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-right > a:hover:after {
	border-color: transparent transparent transparent <?php echo popupshop('colorhdfonthover');?>;
}
.top-bar-left .is-dropdown-submenu .is-dropdown-submenu-parent.opens-left > a:hover:after {
	border-color: transparent <?php echo popupshop('colorhdfonthover');?> transparent;
}
a,
a:hover,
.postbox a:hover .entry-title,
#sidebar a:hover,
#copyright a:hover,
#footermenu a:hover,
#footer-widget-area a:hover, 
#top-widget-area a:hover,
.pagination-centered .previouspostlinks a:hover, 
.pagination-centered .nextpostlinks a:hover,
.comment-metadata a:hover, 
.fn a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>						
		, .woocommerce .woocommerce-info::before<?php } }?>
	{
	color:<?php echo popupshop('color1');?>;
}
.none
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>, 
		.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
		.woocommerce #payment #place_order,
		.woocommerce-page #payment #place_order,
		.woocommerce #respond input#submit.alt:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce a.button.alt:hover,
		.woocommerce button.button.alt:hover,
		.woocommerce input.button.alt:hover,
		.woocommerce input.button,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.add_to_cart_button:hover,
		.woocommerce #respond input#submit.alt,
		.woocommerce a.button.alt,
		.woocommerce button.button.alt,
		.woocommerce input.button.alt<?php } } ?>
	{
	background:<?php echo popupshop('color1');?>;
}
.button,
.button:hover, 
.button:focus,
.add_to_cart_button:hover,
.add_to_cart_button:focus,
.comment-list .reply a,
.comment-list .reply a:hover
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>,
		.woocommerce ul.products li.product .button,
		.woocommerce input.button:hover,
		.woocommerce span.onsale<?php } } ?>
{
	background-color:<?php echo popupshop('color2');?>;
	color: <?php echo popupshop('colorfontbuttons');?>;
}
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>
			.woocommerce a.added_to_cart:before{
				color:<?php echo popupshop('color2');?>;
			} 
		
			.woocommerce .woocommerce-info{
				border-top-color: <?php echo popupshop('color2');?>;
			} 
<?php 	} } ?>
.entry-content a.more-link,
.button,
.comment-list .reply a,
.comment-list .reply a:hover,
.add_to_cart_button
<?php if ( function_exists( 'is_woocommerce' ) ) {
		if ( is_woocommerce() || is_cart() ||  is_checkout() ) { ?>
		.woocommerce ul.products li.product .button,
		.woocommerce input.button,
		.woocommerce input.button:hover,
		.woocommerce button.button,
		.woocommerce button.button:hover,
		.woocommerce-cart a.button,
		.woocommerce-cart a.button:hover,
		.woocommerce span.onsale<?php } } ?>
	{
	color:<?php echo popupshop('colorfontbuttons');?>;
}
</style>
<?php } add_action('wp_head', 'add_styles'); ?>